---
title: PeriodicSyncManager
slug: Web/API/PeriodicSyncManager
tags:
  - API
  - Interface
  - Offline
  - PWA
  - Periodic Background Synchronization
  - PeriodicSyncManager
  - Reference
  - ServiceWorker
---
<div>{{draft}}{{DefaultAPISidebar("Periodic Background Sync")}}</div>

<p class="summary">The <strong><code>PeriodicSyncManager</code></strong> interface of the {{domxref('Web Periodic Background Synchronization API')}} provides a way to register tasks to be run in a service worker at periodic intervals with network connectivity. These tasks are referred to as periodic background sync requests. Access <code>PeriodicSyncManager</code> through the {{domxref('ServiceWorkerRegistration.periodicSync')}}.</p>

<h2 id="Properties">Properties</h2>

<p>None.</p>

<h2 id="Methods">Methods</h2>

<dl>
 <dt>{{domxref('PeriodicSyncManager.register')}}</dt>
 <dd>Registers a periodic sync request with the browser with the specified tag and options. Returns a {{jsxref('Promise')}} that resolves when the registration completes.</dd>
 <dt>{{domxref('PeriodicSyncManager.getTags')}}</dt>
 <dd>Returns a {{jsxref('Promise')}} that resolves with a list of {{jsxref('String','strings')}} representing the tags that are currently registered for periodic syncing.</dd>
 <dt>{{domxref('PeriodicSyncManager.unregister')}}</dt>
 <dd>Unregisters the periodic sync request corresponding to the specified tag and returns a {{jsxref('Promise')}} that resolves when unregistration completes.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>The following examples show how to use the interface.</p>

<h3 id="Requesting_a_Periodic_Background_Sync">Requesting a Periodic Background Sync</h3>

<p>The following asynchronous function registers a periodic background sync at a minimum interval of one day from a browsing context:</p>

<pre class="brush: js notranslate">async function registerPeriodicNewsCheck() {
  const registration = await navigator.serviceWorker.ready;
  try {
    await registration.periodicSync.register('fetch-news', {
      minInterval: 24 * 60 * 60 * 1000,
    });
  } catch {
    console.log('Periodic Sync could not be registered!');
  }
}
</pre>

<h3 id="Verifying_a_Background_Periodic_Sync_by_Tag">Verifying a Background Periodic Sync by Tag</h3>

<p>This code checks to see if a Periodic Background Sync task with a given tag is registered.</p>

<pre class="brush: js notranslate">navigator.serviceWorker.ready.then(registration =&gt; {
  registration.periodicSync.getTags().then(tags =&gt; {
    if (tags.includes('get-latest-news'))
      skipDownloadingLatestNewsOnPageLoad();
  });
});
</pre>

<h3 id="Removing_a_Periodic_Background_Sync_Task">Removing a Periodic Background Sync Task</h3>

<p>The following code removes a Periodic Background Sync task to stop articles syncing in the background.</p>

<pre class="brush: js notranslate">navigator.serviceWorker.ready.then(registration =&gt; {
  registration.periodicSync.unregister('get-latest-news');
});
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Periodic Background Sync','#periodicsyncmanager','PeriodicSyncManager')}}</td>
   <td>{{Spec2('Periodic Background Sync')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PeriodicSyncManager")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://web.dev/periodic-background-sync/">Richer offline experiences with the Periodic Background Sync API</a></li>
 <li><a href="https://webplatformapis.com/periodic_sync/periodicSync_improved.html">A Periodic Background Sync demo app</a></li>
</ul>
